List delivery hours
GET
/api/v1/alert-groups
const url = 'https://app.hostrepute.com/api/v1/alert-groups?page=1&per_page=15';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.hostrepute.com/api/v1/alert-groups?page=1&per_page=15' \ --header 'Authorization: Bearer <token>'List your team’s delivery hours with the alert channels that follow each one, 15 per page by default.
Needs the alert-group:read ability.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
The page to return, starting at 1.
integer
The page to return, starting at 1.
Example
1per_page
How many items to return per page, from 1 to 100. Defaults to 15.
integer
How many items to return per page, from 1 to 100. Defaults to 15.
Example
15Responses
Section titled “Responses”Media typeapplication/json
object
data
Array<object>
object
uuid
string
name
string
slug
string
timezone
string
schedule
string
is_default
boolean
alerts
Array<object>
object
uuid
string
type
string
frequency
string
is_active
boolean
last_sent_at
string
created_at
string
updated_at
string
created_at
string
updated_at
string
links
object
first
string
last
string
prev
string
next
string
meta
object
current_page
integer
from
integer
last_page
integer
links
Array<object>
object
url
string
label
string
page
string
active
boolean
path
string
per_page
integer
to
integer
total
integer
Example
{ "data": [ { "uuid": "01a178db-d5e0-7b44-8c1d-2f6a9e3b7d10", "name": "Default Contacts", "slug": "default-contacts", "timezone": "UTC", "schedule": null, "is_default": true, "alerts": [ { "uuid": "01a178db-d7c2-7f6e-9b35-4d8c1a2e6f07", "type": "slack", "frequency": "once_per_check_while_listed", "is_active": true, "last_sent_at": "2026-10-25T21:31:02.000000Z", "created_at": "2026-07-15T13:06:27.000000Z", "updated_at": "2026-07-15T13:06:27.000000Z" }, { "uuid": "01a178db-d7c9-7a10-8e44-6c2b9f1d3a85", "type": "webhook", "frequency": "once_on_listed_delisted", "is_active": true, "last_sent_at": null, "created_at": "2026-08-03T10:20:00.000000Z", "updated_at": "2026-08-03T10:20:00.000000Z" } ], "created_at": "2026-07-14T09:12:44.000000Z", "updated_at": "2026-07-14T09:12:44.000000Z" }, { "uuid": "01a178db-d7b4-730d-82fa-5fb952d888e4", "name": "Business hours", "slug": "business-hours", "timezone": "America/New_York", "schedule": { "mon": { "enabled": true, "start": "08:00", "end": "18:00" }, "tue": { "enabled": true, "start": "08:00", "end": "18:00" }, "wed": { "enabled": true, "start": "08:00", "end": "18:00" }, "thu": { "enabled": true, "start": "08:00", "end": "18:00" }, "fri": { "enabled": true, "start": "08:00", "end": "18:00" }, "sat": { "enabled": false, "start": "08:00", "end": "18:00" }, "sun": { "enabled": false, "start": "08:00", "end": "18:00" } }, "is_default": false, "alerts": [ { "uuid": "01a178db-d7b6-7131-a50c-cb60224dd1cd", "type": "email", "frequency": "once_on_listed_delisted", "is_active": true, "last_sent_at": "2026-10-25T21:31:02.000000Z", "created_at": "2026-07-15T13:04:51.000000Z", "updated_at": "2026-07-15T13:04:51.000000Z" } ], "created_at": "2026-07-15T13:02:19.000000Z", "updated_at": "2026-07-15T13:02:19.000000Z" } ], "links": { "first": "https://app.hostrepute.com/api/v1/alert-groups?page=1", "last": "https://app.hostrepute.com/api/v1/alert-groups?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "« Previous", "page": null, "active": false }, { "url": "https://app.hostrepute.com/api/v1/alert-groups?page=1", "label": "1", "page": 1, "active": true }, { "url": null, "label": "Next »", "page": null, "active": false } ], "path": "https://app.hostrepute.com/api/v1/alert-groups", "per_page": 15, "to": 2, "total": 2 }}
